Update enabled Voice destination countries
PATCH
/v1/voice/destinations
const destinations = await bird.voice.destinations.update({
destinations: [{ country_code: "PT", enabled: true }],
});
console.log(destinations.data?.length ?? 0);destinations = client.voice.destinations.update(
destinations=[{"country_code": "PT", "enabled": True}]
)
print(len(destinations.data))destinations, err := client.Voice.Destinations.Update(context.Background(), bird.VoiceDestinationsUpdateParams{
Destinations: []bird.DestinationSetting{{CountryCode: "PT", Enabled: true}},
})
if err != nil {
log.Fatal(err)
}
fmt.Println(len(destinations.Data))$destinations = $bird->voice->destinations->update(
(new VoiceDestinationsUpdate())->setDestinations([
(new DestinationSetting())->setCountryCode('PT')->setEnabled(true),
]),
);
echo count($destinations->getData() ?? []), "\n";bird voice destinations update --body-file - <<'JSON'
{
"destinations": [
{
"country_code": "NL",
"enabled": true
},
{
"country_code": "GB",
"enabled": false
}
]
}
JSONcurl -X PATCH "https://us1.platform.bird.com/v1/voice/destinations" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"destinations": [
{
"country_code": "NL",
"enabled": true
},
{
"country_code": "GB",
"enabled": false
}
]
}'Odpowiedź200
{
"data": [
{
"country_code": "US",
"country_name": "Netherlands",
"dial_code": "31",
"region": "western_europe",
"super_region": "europe",
"status": "available"
}
]
}
Enables or disables specific destination countries for your workspace. Only the countries listed in the request change; any country you do not list keeps its current setting. Each code must be a country the Voice service supports, or the request is rejected and nothing changes.
Treść żądania
destinations
array of object
wymagane
The destination countries to enable or disable. Only the countries listed here change; any country you do not list keeps its current setting.
Pokaż parametry podrzędne
destinations.country_code
string
wymagane
ISO 3166-1 alpha-2 country code.
destinations.enabled
boolean
wymagane
Whether to enable (true) or disable (false) this destination country.
Treść odpowiedzi
data
array of object
wymagane
The Voice destination countries, each annotated with your workspace's enabled setting.
Pokaż atrybuty podrzędne
data.country_code
string
wymagane
data.country_name
string
wymagane
Full English country name.
data.dial_code
string
International dialling prefix, without the leading plus. Absent for countries that have none.
data.region
nullable string
data.super_region
nullable string
data.enabled
boolean
wymagane
Whether your workspace has enabled calling to this country.
data.status
string
wymagane
This country's Voice callability at the destination level, independent of your enabled setting. available means we place calls there; not_supported means we do not.
Possible values (may grow over time): available, not_supported
data.high_risk_destination
boolean
wymagane
Whether we treat this country as a high-risk calling destination.
total
integer
wymagane
Total number of destination countries.
Powiązane zasoby
Kontynuuj z dokumentacją, przewodnikami i przykładami dotyczącymi tego tematu. Zasoby są w języku angielskim.
Zrozum koncepcjęShould I use a Bird SDK or call the API directly?Podążaj ścieżką naukiBuild your first integrationPrzewodnik wdrożeniowySend your first email
Uzyskaj brief wdrożeniowy